//
//  CapCell.swift
//  CapFinder
//
//  Created by User on 22.04.18.
//  Copyright © 2018 User. All rights reserved.
//

import UIKit


class CapCell: UITableViewCell {
    
    @IBOutlet private weak var capImage: RoundedImageView!

    @IBOutlet private weak var matchLabel: UILabel!

    @IBOutlet private weak var nameLabel: UILabel!

    @IBOutlet private weak var countLabel: UILabel!

    var id: Int = 0
    
    func set(image: UIImage?) {
        capImage.image = image ?? UIImage(named: "launch")
    }
    
    func set(name: String) {
        self.nameLabel.text = name
    }
    
    func set(matchLabel: String) {
        self.matchLabel.text = matchLabel
    }
    
    func set(countLabel: String) {
        self.countLabel.text = countLabel
    }
}
