//
//  UIColor+Extensions.swift
//  CapCollector
//
//  Created by Christoph on 14.04.20.
//  Copyright © 2020 CH. All rights reserved.
//

import UIKit

extension UIColor {
    
    var rgb: (red: Double, green: Double, blue: Double) {
        var fRed: CGFloat = 0
        var fGreen: CGFloat = 0
        var fBlue: CGFloat = 0
        var fAlpha: CGFloat = 0
        getRed(&fRed, green: &fGreen, blue: &fBlue, alpha: &fAlpha)
        return (Double(fRed), Double(fGreen), Double(fBlue))
    }
}

